Page MenuHomeAleph Objects Inc

publicly accessible Quiver FW flashing
Closed, ResolvedPublic

Description

Need to include instructions for flashing FW to the OHAI for beta but cannot provide links to private directories because the public can still access the quiver section if they know the URL
So where can I point towards that is public that has the ability to flash quiver FW?

Event Timeline

logan created this task.Jan 28 2019, 10:45 AM
logan triaged this task as Normal priority.
logan created this object with edit policy "LulzBot Hardware Products (Project)".

@logan Go ahead and post the OHAI link draft on code, we have given those out to customers in a draft state before. We want to avoid posting links to internal only locations like own, discourse, oca, etc. We have gotten customers that want to follow along/help and cannot access these links. The unpublished OHAI should be fine.

@karrad I dont think you read that right. I need a publicly accessible location to flash firmware from to put in the OHAI, I cannot link to the current only known location as it is not publicly accessible.

@logan Ahh gotcha. Until we have T1250 fixed, there will not be an easy way for customers in the field.

Would pushing the install script to the repo satisfy the requirement? Should post to devel server under quiver.

@karrad Yes that would suffice

As long as it functions the same in that location as it does in its current location

Guess we will give it a try. If it doesn't work, go ahead and post the internal link. We will need to update it once T1250 is fixed.

karrad reassigned this task from karrad to logan.Jan 28 2019, 11:50 AM
logan reassigned this task from logan to kent.Jan 28 2019, 1:00 PM
logan moved this task from Report Issues Here to Needs Review on the Quiver board.

T5513 branch needs merged to master before we can test this from shared-j

kent added a comment.Jan 28 2019, 1:14 PM

Ok this is merged with 939a773c932f9e9f854efb083fb0500491948716

$ git diff master
diff --git a/software/firmware/install_firmware.sh b/software/firmware/install_firmware.sh
new file mode 100755
index 0000000..e7cb73e
--- /dev/null
+++ b/software/firmware/install_firmware.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+FW_DIR="$HOME/shared-j/devel/lulzbot/software/Marlin"
+FW_VERSIONS=`(cd $FW_DIR; find 2.0.0.* -type d | tac); (cd archive; find 2.0.0.* -type d | tac)`
+TOOLHEADS="DualExtruder HardenedSteel HardenedSteelPlus SingleExtruderAeroV2 SmallLayer"
+
+echo
+echo "Select version to install: "
+echo
+select fw in $FW_VERSIONS; do
+  if [ ! -z "$fw" ]; then break; fi
+done
+
+echo
+echo "Select toolhead to install: "
+echo
+select tool in $TOOLHEADS; do
+  if [ ! -z "$tool" ]; then break; fi
+done
+
+FW_FILE=`ls $FW_DIR/$fw/Marlin_TAZPro_${tool}_${fw}_*.bin $FW_DIR/$fw/Marlin_TAZ7_${tool}_${fw}_*.bin archive/$fw/Marlin_Quiver_TAZ7_Quiver_${tool}_${fw}_*.bin | head -1`
+
+echo
+echo "Installing Marlin $fw for $tool"
+echo "Binary file: $FW_FILE"
+echo
+
+while true; do
+  ./bossac -i -U true -e -w -b -R "$FW_FILE"
+
+  if [ $? -eq 0 ]; then
+    echo
+    echo "OK"
+    break
+  else
+    echo
+    echo
+    echo
+    echo "Did you push the PLEASE button? (it's a hole near the USB port)"
+    echo
+    read -p "Type ENTER to retry, Cntl-C to cancel"
+  fi
+done
kent closed this task as Resolved.Jan 28 2019, 1:14 PM
kent reopened this task as Open.Jan 29 2019, 8:05 AM
kent moved this task from Needs Review to Beta Sprint (2019/01/28) on the Quiver board.

We need to find a way to not use a link to shared-j still.

logan added a comment.Jan 31 2019, 8:56 AM

@karrad Is there a way to replace the shared-j link with a link to devel.lulzbot.com?

@logan: Not when using the existing flashing script. It is based on shell wildcards, so it won't work on web based URLs. Seems like getting Cura to flash Quiver would be a better solution than redoing the flashing script.

@marcio Agreed. I am not sure how far off that functionality is.

@kent Would you like me to go ahead and add screenshots of the existing FW flashing process to the existing OHAI, or leave as is? I think the existing text instructions will suffice for beta.

logan raised the priority of this task from Normal to High.Feb 4 2019, 11:31 AM

@karrad @kent I tried this today, it isn't working from a cloned repo or from shared-j

DaniAO closed this task as Resolved.Feb 19 2019, 11:15 AM
DaniAO added a subscriber: DaniAO.

We can now flash firmware from Cura so closing this ticket down.

logan reopened this task as Open.Feb 22 2019, 7:28 AM

Still needs updated step 2 here: https://ohai.lulzbot.com/project/control-box-testing-process/quiver/ before this ticket can be closed

firmware can be found here: http://devel.lulzbot.com/software/Marlin/ and then what ever version we are on (currently 2.0.0.91).

logan closed this task as Resolved.Feb 22 2019, 8:51 AM
logan claimed this task.

https://ohai.lulzbot.com/project/control-box-testing-process/quiver/
Step 2 updated with screenshots of current state of process; progress indicators and completion still not functional and will require an update later on.